%% Ej 2 TP 1  -  SyS 2017

% Necesita en la misma carpeta las funciones 'plot_SR' y 'stem_SR'.

%% a) Ejemplo:
clear all;clc;

t = -40:0.01:40;
xa = -2*sin(-0.2*t + 5/3*pi);

plot_SR([t(1) t(end) -2 2],'t','$x_a(t)$','TP 1 - Ej 2 - $x_a(t)$',20,t,xa)

%% Intente realizar los siguientes incisos usted solo. Compare luego con 
%  el cdigo que se encuentra en la parte inferior de este script.

%%%%%%%%%%%%%%%%%%%% Complete usted el script %%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%% Complete usted el script %%%%%%%%%%%%%%%%%%%%

%% b)
clear all;clc;
n = -40:1:40;
xb = -2*sin(-0.2*n + 5/3*pi);

stem_SR([n(1) n(end) -2 2],'n','$x_b[n]$','TP 1 - Ej 2 - $x_b[n]$',20,n,xb)

%% c) 
clear all;clc;
t = -40:0.01:40;
xc = 0.5*((cos(2*t - pi/4)).^2);

plot_SR([t(1) t(end) -0.5 1],'t','$x_c(t)$','TP 1 - Ej 2 - $x_c(t)$',20,t,xc)

%% d) 
clear all;clc;
t = -40:0.01:40;
xd = 0.5*cos(2*t.^2 - pi/4);

plot_SR([-6 6 -1 1],'t','$x_d(t)$','TP 1 - Ej 2 - $x_d(t)$',20,t,xd)

%% e) 
clear all;clc;
t = -40:0.01:40;
xe = exp(1i*(pi/2*t-pi));

figure('units','normalized','outerposition',[0 0 1 1])
plot3(real(xe),imag(xe),t,'ko');grid on;hold on; % grafico en 3D
set(gca, 'FontSize', 25);
axis([-2 2 -2 2 0 10]); 
xlabel('Real $\{x(t)\}$','Interpreter','Latex');
ylabel('Imag $\{x(t)\}$','Interpreter','Latex');
zlabel('t','Interpreter','Latex'); 
plot3(real(xe),zeros(size(t)),t,'LineWidth',2); % grafico la proyeccin de la parte Re.
plot3(zeros(size(t)),imag(xe),t,'LineWidth',2); % grafico la proyeccin de la parte Re.
legend('x(t)','real(x(t))','imag(x(t))');

%% f)
clear all;clc;
n = -40:1:40;
xf = exp(1i*(n/2-pi));

figure('units','normalized','outerposition',[0 0 1 1])
plot3(real(xf),imag(xf),n,'Marker','o','LineWidth',2,'LineStyle','none'); % grafico en 3D
set(gca, 'FontSize', 25);
grid on;hold on;
axis([-2 2 -2 2 -10 10]);
xlabel('real $\{x[n]\}$','Interpreter','Latex');
ylabel('imag $\{x[n]\}$','Interpreter','Latex');
zlabel('n','Interpreter','Latex'); 
plot3(real(xf),zeros(size(n)),n,'Marker','*','LineStyle','none'); % grafico la proyeccin de la parte Re.
plot3(zeros(size(n)),imag(xf),n,'Marker','*','LineStyle','none'); % grafico la proyeccin de la parte Re.
legend('x[n]','real(x[n])','imag(x[n])');

%% g) 
clear all;clc;
t = -40:0.01:40;
xg = 2*cos(2*pi*t) + sin(10*t);

plot_SR([-10 10 -3 3],'t','$x_g(t)$','TP 1 - Ej 2 - $x_g(t)$',20,t,xg)

%% h) 
clear all;clc;
t = -40:0.01:40;
xh = 2*cos(4*pi*t).*sin(12*pi*t);

plot_SR([-2 2 -3 3],'t','$x_h(t)$','TP 1 - Ej 2 - $x_h(t)$',20,t,xh)

%% i)
clear all;clc;
n = -40:1:40;
xi = cos(2*pi*n.^2);

stem_SR([-5 5 -0.5 1.5],'n','$x_i[n]$','TP 1 - Ej 2 - $x_i[n]$',20,n,xi)