function stem_SR_subplot(lim_ejes,eje_x,eje_y,titulo,size_letra,n,x)

    % stem_SR(lim_ejes,eje_x,titulo,size_letra,t,x)
    %
    % Ej: 
    %    n = -40:1:40;
    %    xb = -2*sin(-0.2*n + 5/3*pi);
    %    stem_SR([n(1) n(end) -2 2],'n','f[n]','Sequence \ f[n]',20,n,xb)

    stem(n,x,'filled');axis(lim_ejes);grid on; % Grafico. Coloco los limites de los ejes. Grilla.
    set(gca, 'FontSize', size_letra); % Tamao de letra para la leyenda y ejes.
    xlabel(eje_x,'Interpreter','Latex'); % Nombro el eje x.
    ylabel(eje_y,'Interpreter','Latex'); % Nombro el eje y.
    title(titulo,'Interpreter','Latex'); % Coloco ttulo para el grfico.
    
    % Nota: Lo de 'interpreter', 'Latex' es opcional...slo modifica la
    % fuente. Pueden googlear Latex como editor de textos...

end