%% Ej 7 TP 1  -  SyS 2017

%// Autor: MEG
%// Funcion de variable aleatoria. Esperanza.

% c)

% Intente realizar el ejercicio usted solo. Luego compare con los resultados
% en la parte inferior de este script.

%%%%%%%%%%%%%%%%%%%% Complete usted el script %%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%% Complete usted el script %%%%%%%%%%%%%%%%%%%%

%% Generacin de VA Gaussiana N(0,1)//%

clear all;close all;clc

N=10e6;                 % Cantidad de Numeros Aleatorios a Generar.
B=50;                   % Nmero de intervalos en el Histograma
u=randn(1,N);           % Vector de 1xN de valores distribuidos normalmente con Esperanza=0 desviacin estandar=1.

%Corriente de entrada Distribuida normalmente con Esperanza=mu desviacin estandar=sigma//%
mu=0;
sigma=1;
ie=mu+sigma*u;                                          % Vector de 1xN de valores de Corriente distribuidos normalmente con Esperanza=mu desviacin estandar=sigma.

[altI,binI] = hist(ie,B);                               % Histograma de la Corriente.
figure('units','normalized','outerposition',[0 0 1 1])  % Creo y maximizo figura.
subplot(2,1,1);                                         % Edicin Grfico N1
bar(binI,altI/N/(binI(2)-binI(1)));grid on;             % Grafico histograma normalizado. Grilla.
corr = [-10:0.01:10];                                   % Valores de corriente en A
% Densidad de prob Corriente
fdpI = (1./sqrt(2*pi*sigma^2)).*exp(-((corr-mu).^2)/(2*sigma^2));              
hold on, plot(corr, fdpI,'r','LineWidth',3);            % Grafico la densidad
axis([-10 10 0 0.6]);                                   % Limites de ejes
set(gca, 'FontSize', 16);                               % Tamao de letra para la leyenda y ejes.
xlabel('$i$','Interpreter','Latex');                    % Nombro el eje x.
ylabel('$f_{I}$','Interpreter','Latex');                % Nombro el eje y.
% Coloco ttulo para el grfico.
title('Comparacion entre histograma y densidad de probabilidad','Interpreter','Latex'); 

%Potencia Disipada en el Resistor

R=1;                    % valor de resistencia
P=R*(ie).^2;            % Vector de 1xN de valores Pontencia Instantanea

[altP,binP] = hist(P,100);                              % Histograma de la Potencia.
subplot(2,1,2);                                         % Edicin Grfico N2
bar(binP,altP/N/(binP(2)-binP(1)));grid on;             % Grafico histograma normalizado. Grilla.
pot = [0:0.01:30];                                      % Valores de potencia en w
% Densidad de prob. potencia
fdpP =(1./sqrt(2*pi*pot*R*sigma^2)).*exp(-pot/(2*R*sigma^2));           
hold on, plot(pot, fdpP,'r','LineWidth',3);             % Grafico la densidad
axis([0 20 0 3]);                                       % Limites de ejes
set(gca, 'FontSize', 16);                               % Tamao de letra para la leyenda y ejes.
xlabel('$p$','Interpreter','Latex');                    % Nombro el eje x.
ylabel('$f_{P}$','Interpreter','Latex');                % Nombro el eje y.
% Coloco ttulo para el grfico.
title('Comparacion entre histograma y densidad de probabilidad','Interpreter','Latex');

%% Clculo aproximado de la Esperanza de la Corriente y potencia de Salida
[h,l]=hist(ie,B);                       %h contiene el numero de apariciones, l es el valor central del intervalo donde aparece
d=(l(2)-l(1));                          %Ancho de los intervalos del histograma
p=h/(N*d);                              %La densidad de probabilidad se estima diviendo el numero de apariciones en el intervalo por el numero total de ensayos
                                        %y el ancho del intervalo.
EspIe=sum(p.*l*d)                       %Multiplico el valor que toma la VA por su densidad de probabilidad y el ancho del intervalo elemento a elemento   
                                        %y sumo todos los elementos del vector                                            
Iie=sum(p*d);                           %Compruebo que la integral de la funcin densidad de probabilidad es igual a 1
[a,b]=hist(P,B);                        %a contiene el numero de apariciones, b es el valor central del intervalo donde aparece.
k=a/(N*d);                              %La densidad probabilidad se estima diviendo el numero de apariciones en el intervalo por el numero total de ensayos
                                        %y el ancho del intervalo.
EspPot=sum(k.*b*d)                      %Multiplico el valor que toma la VA por su densidad de probabilidad y el ancho del intervalo elemento a elemento   
                                        %y sumo todos los elementos del vector
IPot=sum(k*d);                          %Compruebo que la integral de la funcin densidad de probabilidad es igual a 1
%% Fn
