%% Ej 3 TP 1  -  SyS 2017

%// Autor: MMG
%// Ejemplo de transformacion de la variable independiente con Audio.

%Hay que conectar el micrfono antes de iniciar Matlab

clc
clear
fs=20000; %frecuencia de muestreo
nb=16; %nmeros de bits usados por muestra
in=audiorecorder(fs,nb,1); %definimos el objeto de audio in
disp('Toque cualquier tecla para empezar a grabar')
pause
record(in)
disp('Toque cualquier tecla para terminar de grabar')
pause
stop(in)
disp('Toque cualquier tecla para reproducir')
pause
play(in)
x=getaudiodata(in,'double'); %convierte el objeto in a un vector con
%componentes reales entre -1 y 1

%% Invertir el orden de las componentes

inv = audioplayer(flipud(x),fs,nb); %flipud invierte las componentes del
%vector columna x (flip "up" and "down") y audioplayer convierte el vector
%invertido a un objeto con frecuencia de muestreo fs que se puede
%reproducir
play(inv)

%% Cambio de la frecuencia de muestreo

%Si se reduce a la mitad se duplica la duracin (tiempo de muestreo) y se
%escuchan frecuencias ms graves (ms cercanas a 0). Como veremos ms
%adelante, duplicar en el dominio temporal reduce a la mitad en el dominio
%de la frecuencia
out1 = audioplayer(x,fs/2,nb);
play(out1)
pause
%Si se aumenta la frecuencia de de muestreo se reduce la duracin y se
%produce el efecto contrario
out2 = audioplayer(x,2*fs,nb);
play(out2)