%% Ej 7 TP 1  -  SyS 2017

%// Autor: MEG
%// Funcion de variable aleatoria. Esperanza.

% b)

% Intente realizar el ejercicio usted solo. Luego compare con los resultados
% en la parte inferior de este script.

%%%%%%%%%%%%%%%%%%%% Complete usted el script %%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%% Complete usted el script %%%%%%%%%%%%%%%%%%%%


%% Generacion de VA uniforme [0,1]//%

clear all;close all;clc

% Generacion de VA uniforme [0,1]//%

N=10e6;                 % Cantidad de Numeros Aleatorios a Generar.
B=50;                   % Nmero de intervalos en el Histograma
u=rand(1,N);            % Vector de 1xN de valores uniformemete distribuidos en el intevalo [0,1].

% Tensin de entrada Distribuida uniformente en [-1,1]//%

ve=-1+2*u;              % Vector de 1xN de valores de Tensin uniformemete distribuidos en el intevalo [-1V,1V]

[altve,binve] = hist(ve,B);                             % Histograma de la Tensin de Entrada.
figure('units','normalized','outerposition',[0 0 1 1])  % Creo y maximizo figura.
subplot(2,1,1);                                         % Edicin Grfico N1
bar(binve,altve/N/(binve(2)-binve(1)));grid on;         % Grafico histograma normalizado. Grilla.
V = [-2:0.01:2];                                        % Valores de tension en Volts
fdpV = (1/2)*((V > -1)&(V < 1));                        % Densidad de prob.
hold on, plot(V, fdpV,'r','LineWidth',3);               % Grafico la densidad
axis([-1.5 1.5 0 0.8]);                                 % Limites de ejes
set(gca, 'FontSize', 16);                               % Tamao de letra para la leyenda y ejes.
xlabel('$v_{in}$','Interpreter','Latex');               % Nombro el eje x.
ylabel('$f_{V_{in}}$','Interpreter','Latex');           % Nombro el eje y.
% Coloco ttulo para el grfico.
title('Comparacion entre histograma y densidad de probabilidad','Interpreter','Latex'); 

%Tensin de Salida

R=1;                   % Valor de la Resistencia
Vs=(ve>=0).*ve;        % Vector de 1xN de valores de Tension en de Salida

[altVo,binVo] = hist(Vs,B);                             % Histograma de la Tensin de Salida.
subplot(2,1,2);                                         % Edicin Grfico N2
bar(binVo,altVo/N/(binVo(2)-binVo(1)));grid on;         % Grafico histograma normalizado. Grilla.
Vo = [-2:1e-6:2];                                       % Valores de tensin de salida en Volts.
% Densidad de prob.
fdpVo =((Vo > 0)&(Vo < 1e-3))*0.5e3+((Vo > 0)&(Vo < 1))/2;             
hold on, plot(Vo, fdpVo,'r','LineWidth',3);             % Grafico la densidad
axis([-1.5 1.5 0 5]);                                   % Limites de ejes
set(gca, 'FontSize', 16);                               % Tamao de letra para la leyenda y ejes.
xlabel('$v_{out}$','Interpreter','Latex');              % Nombro el eje x.
ylabel('$f_{V_{out}}$','Interpreter','Latex');          % Nombro el eje y.
% Coloco ttulo para el grfico.
title('Comparacion entre histograma y densidad de probabilidad','Interpreter','Latex');

%% Clculo aproximado de la Esperanza de la Tensin de Salida
[h,l]=hist(ve,B);                         %h contiene el numero de apariciones, l es el valor central del intervalo donde aparece.
d=(l(2)-l(1));                            %Ancho de los intervalos del histograma
p=h/(N*d);                                %La densidad de probabilidad se estima diviendo el numero de apariciones en el intervalo por el numero total de ensayos
                                          %y el ancho del intervalo.
EspVe=sum(p.*l*d)                         %Multiplico el valor que toma la VA por su densidad de probabilidad y el ancho del intervalo elemento a elemento   
                                          %y sumo todos los elementos del vector                                             
Idesc=sum(p*d);                           %Compruebo que la integral de la funcin densidad de probabilidad es igual a 1
[a,b]=hist(Vs,B);                         %a contiene el numero de apariciones, b es el valor central del intervalo donde aparece.
k=a/(N*d);                                %La densidad de probabilidad se estima diviendo el numero de apariciones en el intervalo por el numero total de ensayos
                                          %y el ancho del intervalo.
EspVs=sum(k.*b*d)                         %Multiplico el valor que toma la VA por su densidad de probabilidad y el ancho del intervalo elemento a elemento   
                                          %y sumo todos los elementos del vector
Iunif=sum(k*d);                           %%Compruebo que la integral de la funcin densidad de probabilidad es igual a 1
%% Fn
